// File put together by xandaxs.
// For questions please contact:
//   xandosilva95@hotmail.com
//
/////////// **** \\\\\\\\\\\
//  **| xxancommon File |**  \\
/////////// **** \\\\\\\\\\\
// 
/////////////////////
//      INDEX:     //
// > Clip          //
// > Caulk         //
// > Surface Caulk //
// > Misc          //
// > Mirror        //
// > Camera        //
// > Terrain       //
// > Alpha         //
// > Fog           //
/////////////////////


// ** CLIP ** //

textures/xancommon/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/xancommon/playerclip
{
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm detail
}

textures/xancommon/slickplayerclip
{
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm detail
}
textures/xancommon/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}


// ** CAULK ** //

textures/xancommon/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/xancommon/hollowcaulk
{
    qer_editorImage textures/xancommon/hollowcaulk.jpg
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
}

textures/xancommon/nonsolidcaulk
{
    qer_editorImage textures/xancommon/nonsolidcaulk.jpg
    qer_trans 0.2
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm detail
}

textures/xancommon/slickcaulk
{
    qer_editorImage textures/xancommon/slickcaulk.jpg
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm slick
}

textures/xancommon/softcaulk
{
    qer_editorImage textures/xancommon/softcaulk.jpg
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
}

textures/xancommon/softslickcaulk
{
    qer_editorImage textures/xancommon/softslickcaulk.jpg
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm slick
}


// ** SURFACE CAULK ** //

textures/xancommon/fogcaulk
{
    qer_editorImage textures/xancommon/fogcaulk.jpg
    qer_trans 0.45
    q3map_noclip
    surfaceparm trans
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm nolightmap
}

textures/xancommon/lavacaulk
{
    qer_editorimage textures/xancommon/lavacaulk.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/xancommon/watercaulk
{
    qer_trans 0.40
    qer_editorimage textures/xancommon/watercaulk.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm water
}


// ** MISC ** //

textures/xancommon/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/xancommon/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/xancommon/hint
{
    qer_nocarve
    qer_trans 0.30
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm structural
    surfaceparm trans
    surfaceparm hint
}

textures/xancommon/ladder
{
    qer_editorimage textures/xancommon/ladder.tga
    qer_trans 0.40
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
    surfaceparm ladder
    surfaceparm trans
}

textures/xancommon/light
{
    q3map_lightRGB 1.0 1.0 1.0
    q3map_surfacelight 1000
	
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    {
        map $whiteimage
        alphaFunc GE128
        alphaGen const 0
    }
}

textures/xancommon/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/xancommon/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/xancommon/nodrop
{
    qer_trans 0.3
    qer_nocarve
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm detail
    surfaceparm nodrop
}

textures/xancommon/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/xancommon/portal
{
	qer_editorimage textures/xancommon/portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/xancommon/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

textures/xancommon/trigger
{
    qer_trans 0.5
    qer_nocarve
    surfaceparm nodraw
    surfaceparm detail
}


// ** MIRROR ** //

textures/xancommon/mirror1
{
	qer_editorimage textures/xancommon/zzzmirror.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/xancommon/zzzmirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

textures/xancommon/mirror2
{
	qer_editorimage textures/xancommon/zzzmirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/xancommon/zzzmirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/sfx/mirror.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }
}


// ** CAMERA ** //

textures/xancommon/camera
{
	qer_editorimage textures/xancommon/camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/xancommon/camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}


// ** TRRAIN ** //

textures/xancommon/terrain1
{
    qer_editorimage textures/xancommon/zzzterrain.tga
	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/xancommon/terrain2
{
	qer_editorimage textures/xancommon/zzzterrain.tga
	q3map_terrain
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}


// ** ALPHA ** //

textures/xancommon/alpha20
{
    qer_editorImage textures/xancommon/alpha20.jpg
    qer_trans 0.2
    q3map_alphaMod volume
    q3map_alphaMod set 0.2
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
}

textures/xancommon/alpha35
{
    qer_editorImage textures/xancommon/alpha35.jpg
    qer_trans 0.3
    q3map_alphaMod volume
    q3map_alphaMod set 0.35
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
}

textures/xancommon/alpha50
{
    qer_editorImage textures/xancommon/alpha50.jpg
    qer_trans 0.4
    q3map_alphaMod volume
    q3map_alphaMod set 0.5
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
}

textures/xancommon/alpha75
{
    qer_editorImage textures/xancommon/alpha75.jpg
    qer_trans 0.4
    q3map_alphaMod volume
    q3map_alphaMod set 0.75
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
}


// ** FOG ** //

textures/xancommon/darkfog
{
	qer_editorimage textures/xancommon/darkfog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0 0 0 ) 350
	q3map_bouncescale 0
}

textures/xancommon/whitefog
{
	qer_editorimage textures/xancommon/whitefog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 255 255 255 ) 350
	q3map_bouncescale 0
}